Identity, people & notifications

Get All Requested Action Request

Returns action requests the caller raised via ActionRequestService.getAllRequestedActionRequest.

GEThttps://api.toku.com/platform/get-all-requested-action-request

Not available to API keys.

curl --request GET \
  --url 'https://api.toku.com/platform/get-all-requested-action-request' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "actionRequests": [
    {
      "actionRequestID": "string",
      "type": "string",
      "orgID": "string",
      "createdByID": "string",
      "status": "string",
      "identifier": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "approverID": "string",
      "approverType": "string",
      "isClosed": true
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
actionRequestsobject[]required
Show child attributes
actionRequestIDstringrequired
typestringrequired
orgIDstringrequired
createdByIDstringrequired
statusstringrequired
identifierstringrequired
payloadanyrequired
createdAtstringrequired
updatedAtstringrequired
approverIDstring | nullrequired
approverTypestringrequired
isClosedbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits